# Uses of Interface
org.gitana.platform.client.archive.Archive

Packages that use Archive
Package
Description
org.gitana.platform.client.archive
org.gitana.platform.client.datastore
org.gitana.platform.client.platform
org.gitana.platform.client.support
org.gitana.platform.client.vault

## Uses of Archive in org.gitana.platform.client.archive

Classes in org.gitana.platform.client.archive that implement Archive
Modifier and Type
Class
Description
`class`
`ArchiveImpl`

## Uses of Archive in org.gitana.platform.client.datastore

Methods in org.gitana.platform.client.datastore that return Archive
Modifier and Type
Method
Description
`Archive`
AbstractDataStoreImpl.`exportArchive(Vault vault, String groupId, String artifactId, String versionId)`
`Archive`
AbstractDataStoreImpl.`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration)`
Methods in org.gitana.platform.client.datastore with parameters of type Archive
Modifier and Type
Method
Description
`TransferImportJob`
AbstractDataStoreImpl.`importArchive(Archive archive)`
`TransferImportJob`
AbstractDataStoreImpl.`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration)`
`TransferImportJob`
AbstractDataStoreImpl.`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`

## Uses of Archive in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return Archive
Modifier and Type
Method
Description
`Archive`
AbstractPlatformDocumentImpl.`exportArchive(Vault vault, String groupId, String artifactId, String versionId)`
`Archive`
AbstractPlatformDocumentImpl.`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration)`
Methods in org.gitana.platform.client.platform with parameters of type Archive
Modifier and Type
Method
Description
`TransferImportJob`
AbstractPlatformDocumentImpl.`importArchive(Archive archive)`
`TransferImportJob`
AbstractPlatformDocumentImpl.`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration)`
`TransferImportJob`
AbstractPlatformDocumentImpl.`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`

## Uses of Archive in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Archive
Modifier and Type
Method
Description
`Archive`
ObjectFactory.`archive(Vault vault, Response response)`
`Archive`
ObjectFactoryImpl.`archive(Vault vault, Response response)`
`Archive`
Transferable.`exportArchive(Vault vault, String groupId, String artifactId, String versionId)`
Exports synchronously and hands back the binary directly.
`Archive`
Transferable.`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration)`
Exports synchronously and hands back the binary directly.
Methods in org.gitana.platform.client.support that return types with arguments of type Archive
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Archive>`
ObjectFactory.`archives(Vault vault, Response response)`
`org.gitana.platform.support.ResultMap<Archive>`
ObjectFactoryImpl.`archives(Vault vault, Response response)`
Methods in org.gitana.platform.client.support with parameters of type Archive
Modifier and Type
Method
Description
`TransferImportJob`
Transferable.`importArchive(Archive archive)`
Imports an archive synchronously, returning the job.
`TransferImportJob`
Transferable.`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration)`
Imports an archive synchronously, returning the job.
`TransferImportJob`
Transferable.`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`
Imports either synchronously or asynchronously, returning the job.

## Uses of Archive in org.gitana.platform.client.vault

Methods in org.gitana.platform.client.vault that return Archive
Modifier and Type
Method
Description
`Archive`
Vault.`lookupArchive(String groupId, String artifactId, String versionId)`
`Archive`
VaultImpl.`lookupArchive(String groupId, String artifactId, String versionId)`
`Archive`
Vault.`readArchive(String archiveId)`
`Archive`
VaultImpl.`readArchive(String archiveId)`
Methods in org.gitana.platform.client.vault that return types with arguments of type Archive
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Archive>`
Vault.`queryArchives(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Archive>`
Vault.`queryArchives(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Archive>`
VaultImpl.`queryArchives(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Archive>`
VaultImpl.`queryArchives(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`